<?php
/*
* Plugin Name: Healomax Stress Assessment
* Plugin URI: https://www.healomax.com/stress-assessment-plugin/
* Description: A plugin to assess psychological stress and shows the results
* Version: 1.0.4
* Author: Healomax
* Author URI: https://www.healomax.com/stress-assessment-form/
*/
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) 
{
	header("Location: /");
	die();
}
function healomax_stress_assessment_activation(){
//
	global $wpdb, $table_prefix;
	$wp_healomax_stress = $table_prefix.'healomax_stress';
	$hsapq = "CREATE TABLE IF NOT EXISTS `wp_healomax_stress` 
	( `ID` INT NOT NULL AUTO_INCREMENT , 
	`healomaxhsap_name` VARCHAR(50) NOT NULL , 
	`healomaxhsap_email` VARCHAR(100) NOT NULL ,  
	`healomaxhsap_gender` VARCHAR(10) NOT NULL ,
	`healomaxhsap_profession` VARCHAR(50) NOT NULL ,
	`healomaxhsap_age` INT(3) NOT NULL ,
	`healomaxhsap_location` VARCHAR(100) NOT NULL ,
	`healomaxhsap_country` VARCHAR(50) NOT NULL ,
	`hsapstress_status` VARCHAR(10) NOT NULL ,
	`hsapservices2` VARCHAR(100) NOT NULL ,
	`hsapservices` VARCHAR(100) NOT NULL ,
	`hsapcontact_details2` VARCHAR(100) NOT NULL ,
	`hsapcontact_details1` VARCHAR(100) NOT NULL ,
	`hsapcontact_details` VARCHAR(100) NOT NULL ,
	`status` BOOLEAN NOT NULL ,
	PRIMARY KEY (`ID`)) ENGINE = MyISAM;";
	$wpdb->query($hsapq);

	$data = array(
		'healomaxhsap_name' => 'test', 
		'healomaxhsap_email' => 'test@examle.com',
		'healomaxhsap_gender' => 'female', 
		'healomaxhsap_profession' => 'test profs',
		'healomaxhsap_age' => '25', 
		'healomaxhsap_location' => 'Location: test locci',
		'healomaxhsap_country' => 'Coutry: test coutry', 
		'hsapstress_status' => 'test',
		'hsapservices2' => 'Our Services: ', 
		'hsapservices' => 'Our Service: ',
		'hsapcontact_details2' => 'Phone: ', 
		'hsapcontact_details1' => 'eMail: ',
		'hsapcontact_details' => 'Address: ', 
		'status' => 1
	);

	$wpdb->insert($wp_healomax_stress, $data);

}
register_activation_hook( __FILE__, 'healomax_stress_assessment_activation' );

function healomax_stress_assessment_deactivation(){
	//
	global $wpdb, $table_prefix;
	$wp_healomax_stress = $table_prefix.'healomax_stress';
	$hsapq = "TRUNCATE `$wp_healomax_stress`";
	$wpdb->query($hsapq);
}
register_deactivation_hook( __FILE__, 'healomax_stress_assessment_deactivation' );

//
require_once plugin_dir_path( __FILE__ ) . 'scripts/scripts.php';
require_once plugin_dir_path( __FILE__ ) . 'option/options.php';
require_once plugin_dir_path( __FILE__ ) . 'style/form.php';
require_once plugin_dir_path( __FILE__ ) . 'scripts/functions.php';
