<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) 
{
	exit;
}
function healomax_stress_assessment_shortcode() {
  $healomaxmath_question1 = 'What is 2 + 3?';
  $healomaxmath_answer1 = '5';
  ?>
 <form method="post" action="<?php echo esc_url( $_SERVER['REQUEST_URI'] ); ?>" class="healomax-stress-assessment-form">
  <h2> HealoMax Stress Assessment</h2>
  <br><br><br>
  <label for="healomaxhsap_name">Name:</label><br>
  <input type="text" id="healomaxhsap_name" name="healomaxhsap_name" required><br>
  <label for="healomaxhsap_email" >Email:</label><br>
  <input type="text" id="healomaxhsap_email" name="healomaxhsap_email"><br>

  <label for="healomaxhsap_gender">Gender:</label><br>
  <select name="healomaxhsap_gender" required>
      <option value="male">Male</option>
      <option value="female">Female</option>
      <option value="other">Other</option>
    </select><br>

  <label for="healomaxhsap_profession">Profession:</label><br>
  <input type="text" id="healomaxhsap_profession" name="healomaxhsap_profession" required><br>

  <label for="healomaxhsap_age">Age:</label><br>
  <input type="number" id="healomaxhsap_age" name="healomaxhsap_age" required><br>

  <label for="healomaxhsap_location">Location:</label><br>
  <input type="text" id="healomaxhsap_location" name="healomaxhsap_location" required><br>

  <label for="healomaxhsap_country">Country:</label><br>
  <input type="text" id="healomaxhsap_country" name="healomaxhsap_country" required><br>
  <p style="font-size: 18px;">Please answer the following questions on a scale of 1-5:</p>
<P>
    <label for="hsapq1" style="font-size: 20px;">1. Do you feel: Overwhelmed/
     Less Enjoyment or Energy/ Frequent Cold or Pains ?</label>
    <select name="hsapq1" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often</option>
    </select>
    <br><br>
    <label for="hsapq2" style="font-size: 20px;">2. Increased forgetfulness or confusion or disorientation /
     poor decision making ?</label>
    <select name="hsapq2" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often</option>
    </select>
    <br><br>
    <label for="hsapq3" style="font-size: 20px;">3. Depending drugs or excessive use of alcohol or caffein or smoking ?</label>
    <select name="hsapq3" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often</option>
    </select>
    <br><br>
    <label for="hsapq4" style="font-size: 20px;">4. Procrastination or avoidance/ decreased self esteem or self care ?</label>
    <select name="hsapq4" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often</option>
    </select>
    <br><br>
    <label for="hsapq5" style="font-size: 20px;">5. Do you feel: Irritable or Angry/ Less Compassionate to others ?</label>
    <select name="hsapq5" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often</option>
    </select>
    <br><br>
    <label for="hsapq6" style="font-size: 20px;">6. Do you feel lonely or isolated or helpless or hopeless ?</label>
    <select name="hsapq6" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often
    </select>
    <br><br>
    <label for="hsapq7" style="font-size: 20px;">7. Decreased concentration or repeated mistakes ?</label>
    <select name="hsapq7" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often</option>
    </select>
    <br><br>
    <label for="hsapq8" style="font-size: 20px;">8. Are you Constantly worried or restless ?</label>
    <select name="hsapq8" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often</option>
    </select>
    <br><br>
    <label for="hsapq9" style="font-size: 20px;">9. Any changes in your sleep pattern ?</label>
    <select name="hsapq9" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often</option>
    </select>
    <br><br>
    <label for="hsapq10" style="font-size: 18px;">10. Eating excessive or insufficient ?</label>
    <select name="hsapq10" required>
      <option value="1">1. Never</option>
      <option value="2">2. Rarely</option>
      <option value="3">3. Sometimes</option>
      <option value="4">4. Often</option>
      <option value="5">5. Very Often</option>
    </select>
    <br><br>
    <div style="display:none;">
      <!-- ask the user to solve the CAPTCHA -->
      <label for="healomaxmath;"><?php echo esc_html( $healomaxmath_question1 ); ?></label>
      <input type="text" name="healomaxmath" id="healomaxmath" value="">
    </div>
    <br>
  </p>
  <?php wp_nonce_field('healomax_stress_assessment', 'healomax_stress_assessment_nonce'); ?>
  <input type="hidden" name="action" value="healomax_stress_assessment_response">
  <input type="submit" name="healomax_stress_assessment_submit" value="Submit">
  <br><br><br>
  <label for="instructions1" style="font-size: 15px;">
  INSTRUCTIONS:<br><br>
  
  Answer all the questions as soon as possible by selecting  one option from 1 to 5.<br>
  More time spending on questions may affect your assessment result. <br>
  
  Click the “Submit” button to stress assessment.<br>
See the results of your stress assessment on the screen with recommendation and stress level.<br><br>
Stress levels are in three : <br> Low, Moderate and High.<br><br>
</label>
</form>
<?php
}
add_shortcode( 'stress_assess', 'healomax_stress_assessment_shortcode' );
